Author Topic: CodeBlocks troubles with Slack  (Read 13743 times)

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: CodeBlocks troubles with Slack
« Reply #15 on: January 10, 2006, 12:51:31 pm »
I'm sorry for causing misunderstanding. I mean wxGTK monolithic build is required for Ben's CodeBlocks installation since it's obviously said missing libwx_gtk2-2.6.so.0 (and not libwx_gtk2_core-2.6.so.0.2.0 or some other libraries). I experienced the same problem with Ben before and it was solved with building wxGTK as monolithic library.

Ah, thanks for clarifying. In this case you 're right then :)
Be patient!
This bug will be fixed soon...

Offline rudin

  • Multiple posting newcomer
  • *
  • Posts: 19
Re: CodeBlocks troubles with Slack
« Reply #16 on: January 10, 2006, 12:56:52 pm »
 :)

Offline Ben

  • Single posting newcomer
  • *
  • Posts: 4
Re: CodeBlocks troubles with Slack
« Reply #17 on: January 10, 2006, 10:14:46 pm »
So guys, here are results you need:

from ldconfig i got :
# ldconfig -v|grep wx_gtk
   libwx_gtk2u_html-2.6.so.0 -> libwx_gtk2u_html-2.6.so.0.2.0
   libwx_gtk2u_adv-2.6.so.0 -> libwx_gtk2u_adv-2.6.so.0.2.0
   libwx_gtk2u_core-2.6.so.0 -> libwx_gtk2u_core-2.6.so.0.2.0
   libwx_gtk2u_animate-2.6.so.0 -> libwx_gtk2u_animate-2.6.so.0.2.0
   libwx_gtk2u_gizmos_xrc-2.6.so.0 -> libwx_gtk2u_gizmos_xrc-2.6.so.0.2.0
   libwx_gtk2u_gizmos-2.6.so.0 -> libwx_gtk2u_gizmos-2.6.so.0.2.0
   libwx_gtk2u_xrc-2.6.so.0 -> libwx_gtk2u_xrc-2.6.so.0.2.0
   libwx_gtk2u_qa-2.6.so.0 -> libwx_gtk2u_qa-2.6.so.0.2.0
   libwx_gtk2u_ogl-2.6.so.0 -> libwx_gtk2u_ogl-2.6.so.0.2.0
   libwx_gtk2u_media-2.6.so.0 -> libwx_gtk2u_media-2.6.so.0.2.0
   libwx_gtk2u_stc-2.6.so.0 -> libwx_gtk2u_stc-2.6.so.0.2.0

From ldd i got these dependencies:
# ldd /usr/bin/codeblocks
   libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x4001e000)
   libcodeblocks.so.0 => /usr/local/lib/libcodeblocks.so.0 (0x40028000)
   libwxscintilla.so.0 => /usr/local/lib/libwxscintilla.so.0 (0x4016b000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x4026a000)
   libpthread.so.0 => /lib/libpthread.so.0 (0x40338000)
   libdl.so.2 => /lib/libdl.so.2 (0x40389000)
   libwx_gtk2-2.6.so.0 => not found
   libm.so.6 => /lib/libm.so.6 (0x4038e000)
   libc.so.6 => /lib/libc.so.6 (0x403b1000)
   /lib/ld-linux.so.2 (0x40000000)
   libwx_gtk2-2.6.so.0 => not found
   libwx_gtk2-2.6.so.0 => not found


Cheers
Ben

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: CodeBlocks troubles with Slack
« Reply #18 on: January 10, 2006, 10:19:51 pm »
So, as rudin said, the package you 're trying to use has been designed with the monolithic wx version.
Why don't you build youself the HEAD version? It's easy, it's stable and feature-packed.
Be patient!
This bug will be fixed soon...